<?
  ### Версия ПО (ДМ) 1.0.0.0 ( (c)2018 MISOFT Продукт защищен регистрацией патента и авторских прав! www.misoft.studio )
  ######################################################################################################################

  if ( $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
    define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
    define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
    session_start();
    header( 'Content-type: text/html; charset=windows-1251' );
    include_once ROOT_DIR . '/engine/config.php';
    include_once ROOT_DIR . '/engine/function.php';
  } else {
    if ( !defined( 'MISOFT' ) ) { exit(); }
  }

  if ( !isset( $_SESSION['iduser'] ) ) {
    echo '<div style="margin-left: -10px;" class="alert alert-info alert-dismissible fade in" role="alert">
		<button type="button" class="close" data-dismiss="alert" aria-label="Close">
			<span aria-hidden="true">&times;</span>
		</button>
		<h5 class="alert-heading"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Внимание!</h5>
		<p style="font-size: 14px;">Вы не авторизированы. Доступ к этой странице разрешен только авторизованным пользователям. <br>Пожалуйста, воспользуйтесь формой авторизации.</p>
		<p style="font-size: 14px;" class="m-b-0">Для перехода в форму авторизации нажмите <a class="a_link" href="/login" >login</a>.</p>
	  </div>';
  } else {
  
    #Считаем количество страниц для навигации.
    $get_history_temp = mysql_query( "SELECT * FROM developments_user WHERE iduser = '" . $_SESSION['iduser'] . "'" );
    $kolvo = 15;
    $all = mysql_num_rows( $get_history_temp );
    $allpage = ceil( $all / $kolvo );
    $this_page = ( isset( $_GET['page'] ) ) ? intval( $_GET['page'] ) : 1 ;
    if ( $this_page < 1 ) $this_page = 1;
    if ( $this_page > $allpage ) $this_page = $allpage;
    $start = $this_page * $kolvo - $kolvo;
    if ( $start == -$kolvo ) { $start = 1; }
  
    ?>
	<script type="text/javascript">
	  function del(tid) {
		$.post('ajax.php?func=delevents', {
		  id: tid
		}, function(data){
		  if(data == 1) {
			Page.Go('events');
		  } else {
			$('.erroralert').fadeIn(500).html(data);
			setTimeout(function() {
			  $('.erroralert').fadeOut(500).html('&nbsp;');
			}, 4000);
		  }
		});
		return false;
	  }
	</script>
	
	<div class="content_bar content_bar_fix_chain">
      <article class="postBox">
	    <div class="h2-title-header"><h2><a>Лента событий</a></h2></div>
	    <div class="image_events_p"></div>
	    <div class="textPreview" style="padding: 0 20px 0 0;">
	      <p class="earnings_text_earnings" style="color: #545454;">
		    Здесь отображаются важные события в аккаунте, такие, например, как продажа реферала, новый реферал, победа в конкурсе итд. Вы всегда можете отслеживать наиболее важные моменты и действия относительно вашего аккаунта.
	      </p>
	    </div>
	    <table class="events-table">
		  <?
			$events_me = mysql_query("SELECT * FROM developments_user WHERE iduser = '" . $_SESSION['iduser'] . "' ORDER BY date DESC LIMIT $start,$kolvo");
			if(mysql_num_rows( $events_me ) > 0) {
			  while ($events_row = mysql_fetch_array($events_me)) {
				
			    if ($events_row['status'] == 1) {
				  $coltext = '<div class="tag tag-warning tag-pill pull-xs-right colmess-null" >NEW</div>';
			    } else {
				  $coltext = '';
			    }
			 
			    $month = array( 'января', 'февраля', 'марта', 'апреля', 'мая', 'июня', 'июля', 'августа', 'сентября', 'октября', 'ноября', 'декабря' );
			    ?>
			      <tr class=""  >
				    <td width="530" >
				      <div class="text-events"><?=$events_row['events']?></div>
				    </td>
				    <td>
				      <div class="mess_kol" style="margin: 0 15px 0 0;"><?=$coltext?></div>
				    </td>
				    <td width="130">
				      <div class="" style="font-size: 13px; color: #777777;"><?=( int ) date( 'd', $events_row['date'] ) . ' ' . $month[( int ) date( 'm', $events_row['date'] ) - 1] . ' ' . date( 'Y', $events_row['date'] )?> г.</div>
				    </td> 
				    <td width="25">
				      <div class="btn-events-list" style="border-radius: 50px;" onclick="del(<?=$events_row['id']?>);return false;"><i class="fa fa-times" aria-hidden="true"></i></div>
				    </td>
			      </tr>
			    <? 
			  } 
			} else {
			  echo '<div class="alert alert-info" role="alert">
				  <i class="fa fa-info-circle" aria-hidden="true"></i> На данный момент ничего интересного не происходило!
				</div>'; 
			}
		  ?>
		</table><br/>
		<div class="div_centralizator"><?=navigation( 15, ( int ) $_GET['page'], mysql_num_rows( $get_history_temp ), 'events&p=' )?></div>
	  </article>
    </div>	
  <?
  #Отмечаем как прочитаны события
  mysql_query( "UPDATE developments_user SET status = '0' WHERE iduser = '" . $_SESSION['iduser'] . "'" );
}

?>








